Get a submission
Needs: Forms, Read
Returns one submission's answers by step, with field labels and readable values (option labels and names). Signatures, files and drawings are summarised.
Errors
422withSubmission not found. Use list_form_submissions.when the id does not exist.
curl -X GET "https://app.imploy.com.au/api/integrations/v1/form-submissions/123?field_ids=%5B%22null%22%5D&include_empty=true" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/form-submissions/123?field_ids=%5B%22null%22%5D&include_empty=true"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/form-submissions/123?field_ids=%5B%22null%22%5D&include_empty=true", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://app.imploy.com.au/api/integrations/v1/form-submissions/123?field_ids=%5B%22null%22%5D&include_empty=true", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/form-submissions/123?field_ids=%5B%22null%22%5D&include_empty=true')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"id": 310,
"form_id": 14,
"form": "Visit feedback",
"submitter": "Example Person",
"email": "example.person@example.com",
"status": "Submitted",
"type": "form",
"submitted_at": "2026-03-02 05:30:00",
"answers": [
{
"step": "Details",
"field_id": "client_name",
"label": "Client name",
"value": "Example Client"
}
]
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/form-submissions/{id}Target server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The submission id.
Only these answers, comma separated.
Include fields that were left empty.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The submission id.
Query Parameters
Only these answers, comma separated.
Include fields that were left empty.
Responses
OK